Skip to main content
`Ctrl`+`K`

# DMKSPGetComputeRHS

get `KSP` right-hand side evaluation function

## Synopsis

    #include "petscksp.h"
    PetscErrorCode DMKSPGetComputeRHS(DM dm, KSPComputeRHSFn **func, void *ctx)

Not Collective

## Input Parameter

- dm - `DM` to be used with `KSP`

## Output Parameters

- func - right-hand side evaluation function, for calling sequence see `KSPComputeRHSFn`

- ctx - context for right-hand side evaluation

## See Also

KSP: Linear System Solvers, `DMKSP`, `DM`, `KSP`, `DMKSPSetContext()`, `KSPSetComputeRHS()`, `DMKSPSetComputeRHS()`, `KSPComputeRHSFn`

## Level

advanced

## Location

src/ksp/ksp/interface/dmksp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages